Page MenuHomePhabricator

tests: parallelize evas mesh tests
ClosedPublic

Authored by zmike on Apr 10 2018, 8:32 AM.

Details

Summary

ref T6857
Depends on D5912

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike requested review of this revision.Apr 10 2018, 8:32 AM
zmike created this revision.
stefan_schmidt requested changes to this revision.Apr 13 2018, 2:58 AM
stefan_schmidt added inline comments.
src/tests/evas/evas_test_mesh.c
169–184

This looks very odd to me. You are adding a loop_test but with the given parameter it always will be just on single loop iteration.
Why not have a non-loop test case for the 4 different test cases you want to split this into? That could also eliminate the table you are setting up for the loop iteration above.

This revision now requires changes to proceed.Apr 13 2018, 2:58 AM
zmike added a comment.Apr 13 2018, 7:23 AM

This was the simplest way to do it with the fewest changes to existing code and the least duplicated code.

zmike added inline comments.Apr 17 2018, 6:55 AM
src/tests/evas/evas_test_mesh.c
169–184

See previous comment, but I prioritized deduplication of code in this case.

zmike requested review of this revision.Apr 20 2018, 7:36 AM
stefan_schmidt added inline comments.May 3 2018, 7:26 AM
src/tests/evas/evas_test_mesh.c
169–184

I still find it odd to use the loop call for only one iteration each. I was expecting libcheck would have a tcase_add_test() avriant which allows to pass in some parameters to the test case. Digging into check.h I was not able to find one either.
Which means I finally understand why you use this here to avoid duplicating the whole test case four times.

I will go ahead and apply this one now. Not really happy that libcheck has nothing to offer here.

zmike added a comment.May 3 2018, 7:28 AM

It seems like libcheck is missing a lot of this 'basic' functionality we expect it to have, but there is no alternative...

This revision was not accepted when it landed; it landed in state Needs Review.May 3 2018, 7:28 AM
Closed by commit rEFL35a600c2d065: tests: parallelize evas mesh tests (authored by zmike, committed by stefan). · Explain Why
This revision was automatically updated to reflect the committed changes.